const path = require('path');

module.exports = {
    mode: "development", // "production" | "development" | "none"
    entry: {
        main:"./src/Dubel",
        model:"./src/model"
    }, // string | object | array
    output: {
        path: path.resolve(__dirname, "js"), // string (default)
        filename: "[name].js"
    },
    devtool: false,
    performance: { hints: false },
    module: {
        rules: [
            {
                test: /\.(png|jpe?g|gif)$/i,
                use: [
                    {
                        loader: 'file-loader',
                    },
                ],
            },

            {
                test: /\.m?js$/,
                exclude: /(node_modules|bower_components)/,
                use: {
                    loader: 'babel-loader',
                    options: {
                        presets: ['@babel/preset-env'],
                        plugins: ['@babel/plugin-proposal-object-rest-spread']
                    }
                }
            }
        ]
    }
}